SET TERM ^ ;

ALTER PROCEDURE GET_TYPEDOHOD_SUM_FROM_SOTR_JN (
    DATER1 DATE,
    DATER2 DATE,
    DATER3 DATE,
    ID_SOTRUDNIK INTEGER)
RETURNS (
    SUMDOHOD_OUT DOUBLE PRECISION,
    NTYPEDOHOD_OUT INTEGER,
    SUMNALOG_OUT DOUBLE PRECISION)
AS
DECLARE VARIABLE SUMNALOG DOUBLE PRECISION;
DECLARE VARIABLE NTYPEDOHOD INTEGER;
DECLARE VARIABLE SUMDOHOD DOUBLE PRECISION;
begin
  FOR
  select tcsnu.ntypecodesnu, coalesce( sum(j.s) ,0) from journalnak j
    left join snu s on s.id_snu=j.id_snu
    left join typecodesnu tcsnu on tcsnu.id_typecodesnu = s.typedohod
  where ((j.DATER =:DATER1) or (j.DATER =:DATER2) or (j.DATER =:DATER3))
    and (j.id_sotrudnik=:ID_SOTRUDNIK and s.codesnu>2000)
  group by tcsnu.ntypecodesnu
  INTO :NTYPEDOHOD_out, :sumdohod_out
  do

  begin

    select coalesce( sum(j.s),0) from journalnak j
      left join snu s on s.id_snu=j.id_snu
      left join typegroupsnu tgsnu on tgsnu.id_typegroupsnu = s.groupsnu
    where ((j.DATER =:DATER1) or (j.DATER =:DATER2) or (j.DATER =:DATER3))
    and (j.id_sotrudnik=:ID_SOTRUDNIK and s.codesnu<2000 and tgsnu.ntypegroupsnu =:NTYPEDOHOD_out) /*tgsnu.ntypegroupsnu =101*/
    into :sumnalog_out;
      suspend;
  end
  /*
  suspend;
  */
end

^

SET TERM ; ^



